version: '3'
networks:
    default:
        external:
            name: grid-sys
services:
    gateway:
        restart: always
        ports:
            - "6580:80"
        build:
            context: ./gateway
            dockerfile: ./Dockerfile
    auth:
        restart: always
        ports:
            - "8100:8100"
        build:
            context: ./auth
            dockerfile: ./Dockerfile
    desk:
        restart: always
        ports:
            - "8105:8105"
        build:
            context: ./desk
            dockerfile: ./Dockerfile
    system:
        restart: always
        ports:
            - "8106:8106"
        build:
            context: ./system
            dockerfile: ./Dockerfile
    user:
        restart: always
        ports:
            - "8102:8102"
        build:
            context: ./user
            dockerfile: ./Dockerfile
    grid:
        restart: always
        ports:
            - "9525:9525"
        build:
            context: ./grid
            dockerfile: ./Dockerfile

